#!/bin/sh

video1="video.mp4"
palette1="palette1.png"
# output1="out_badapple.mp4"
output1="out1/out_%d.bmp"

video2="2d.mp4"
palette2="palette2.png"
output2="out2/out_%d.bmp"
# output="output.mp4"

filters="scale=256x192:flags=lanczos:force_original_aspect_ratio=decrease,pad=256:192:-1:-1:color=black,fps=30"

# video
ffmpeg -i $video1 -vf "$filters,palettegen=max_colors=256:reserve_transparent=0:stats_mode=diff" -y $palette1
ffmpeg -i $video1 -i $palette1 -filter_complex "$filters[x];[x][1:v]paletteuse=dither=none" -y $output1

# audio
ffmpeg -i $video1 -f s16le -vn -ac 2 -ar 22050 -y music1.raw

# video
# ffmpeg -i $video2 -vf "$filters,palettegen=max_colors=256:reserve_transparent=0:stats_mode=diff" -y $palette2
# ffmpeg -i $video2 -i $palette2 -filter_complex "$filters[x];[x][1:v]paletteuse=dither=none" -y $output2

# # audio
# ffmpeg -i $video2 -f s16le -vn -ac 2 -ar 22050 -y music2.raw